From cf3c3f8f5e44a7283601c9648302aa4d4422e899 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 09 2020 00:23:36 +0000
Subject: [PATCH 1004/2232] Make it possible to have an empty include prefix


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 1e466e5..267b8cf 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -129,7 +129,6 @@ impl Project {
     fn init() -> Result<Self> {
         let include_prefix = Path::new(CFG.include_prefix);
         assert!(include_prefix.is_relative());
-        assert!(!include_prefix.as_os_str().is_empty());
         let include_prefix = include_prefix.components().collect();
 
         let manifest_dir = paths::manifest_dir()?;
@@ -246,6 +245,11 @@ fn env_include_dirs() -> impl Iterator<Item = PathBuf> {
 }
 
 fn make_crate_dir(prj: &Project) -> Option<PathBuf> {
+    if prj.include_prefix.as_os_str().is_empty() {
+        let crate_dir = prj.manifest_dir.clone();
+        println!("cargo:CXXBRIDGE_CRATE={}", crate_dir.to_string_lossy());
+        return Some(crate_dir);
+    }
     let crate_dir = prj.out_dir.join("cxxbridge").join("crate");
     let link = crate_dir.join(&prj.include_prefix);
     if out::symlink_dir(&prj.manifest_dir, link).is_ok() {

